# wlantools.py
#
# Version: 1.0
# Datum: 31.01.2024
# Autor: Peter Stöck
#
# Es wird eine Verbindung mit mit einem bekannten Wlan hergestellt.
#
# Im Dictionary wlans_known sind die SSID's der bekannten Wlans die Keys.
# Die Values sind die Namen der Dateien in denen SSID und PW stehen. Ohne .py
#
# Die Dateien mit den Zugangsdaten sehen so aus:
# SSID = 'Wlan_name'
# PW = 'Passwort'
#
# Anwendung:
# from wlantools import *
# oder:
# from wlantools import wlan
# 

import network

SSID = ''
PW = ''

wlans_known = {'Kapest-Fritz': 'geheim_0',
               'Attraktor': 'geheim_1'
               }

wlan = network.WLAN(network.STA_IF)
wlan.active(True)

wlans = wlan.scan()

for wlan_found in wlans:
    for wlan_known in wlans_known.keys():
#         print(wlan_found, wlan_known)
        if str(wlan_found[0], 'utf-8') == wlan_known:
            ssid_found = wlans_known[wlan_known]
            exec(f'from {ssid_found} import SSID, PW')
        if SSID:
            break
    if SSID:
        break

if SSID:
    print(f'Wlan {SSID} gefunden')
    if not wlan.isconnected():
        print('connecting to network...')
        wlan.connect(SSID, PW)
        while not wlan.isconnected():
            pass
    print('network config:', wlan.ifconfig())
else:
    print('Kein bekanntes Wlan gefunden')


