# utf8-zeichensatz.py
#
# Stellt alle 256 mögliche Zeichen auf den SSD1306 Display dar.
# Mit druck auf die Centertaste wird jeweiks die Ausgabe von
# 78 Zeichen auf dem Display gestartet.
#

from machine import Pin, I2C
from ssd1306 import SSD1306_I2C
from time import sleep_ms
from machine import Pin


x_step = 10
y_step = 10

x_pos = 0
y_pos = 0

x_max = 127
y_max = 63

pin_center = 15

button = Pin(pin_center, Pin.IN, Pin.PULL_DOWN)

i2c = I2C(0, sda=Pin(20), scl=Pin(21))
oled = SSD1306_I2C(128, 64, i2c)

oled.fill(0)
oled.text("Attraktor e.V.", 10, 0)
oled.text("UTF-8 Zeichen", 10, 24)
oled.text("Press Centerkey", 5, 54)
oled.show()

sleep_ms(1000)

ranges = [(1, 79), (79, 156), (156, 234), (234, 256)]

for i, j in enumerate(ranges):
    start, stop = ranges[i]
#     print(start, stop)
    x_pos = 0
    y_pos = 0
    while not button.value():
        pass
    sleep_ms(15)
    if button.value():
        oled.fill(0)
        for x in range(start, stop):
            oled.text(chr(x), x_pos, y_pos)
            oled.show()
            x_pos += x_step
            if x_pos > x_max:
                x_pos = 0
                y_pos += y_step
            if y_pos > y_max:
                break
    while button.value():
        sleep_ms(20)
        pass
        
